Python (SDK)
from finance_dev import FinanceDev, models
with FinanceDev(
security=models.Security(
client_id="<YOUR_CLIENT_ID_HERE>",
client_secret="<YOUR_CLIENT_SECRET_HERE>",
),
) as fd_client:
res = fd_client.indices.list(index_group="IND_CBOM", page_size=100)
while res is not None:
# Handle items
res = res.next()import { FinanceDev } from "@ariesdotcom/finance-dev";
const financeDev = new FinanceDev({
security: {
clientID: "<YOUR_CLIENT_ID_HERE>",
clientSecret: "<YOUR_CLIENT_SECRET_HERE>",
},
});
async function run() {
const result = await financeDev.indices.list({
indexGroup: "IND_CBOM",
pageSize: 100,
});
for await (const page of result) {
console.log(page);
}
}
run();curl --request GET \
--url https://api.aries.com/v1/indices/list \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.aries.com/v1/indices/list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.aries.com/v1/indices/list",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.aries.com/v1/indices/list"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.aries.com/v1/indices/list")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.aries.com/v1/indices/list")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"indices": [
{
"currency": "USD",
"indexGroup": "IND_CBOM",
"indexName": "S&P 500",
"symbol": "SPX"
},
{
"currency": "USD",
"indexGroup": "IND_CBOM",
"indexName": "NASDAQ Composite",
"symbol": "COMP"
}
]
}Indices
Index List
Retrieve all indices within a specific index group including major market benchmarks like S&P 500, NASDAQ, and Dow Jones. Access comprehensive index coverage.
Use Case: Populate a dropdown selector with all available U.S. equity indices for comparison.
GET
/
v1
/
indices
/
list
Python (SDK)
from finance_dev import FinanceDev, models
with FinanceDev(
security=models.Security(
client_id="<YOUR_CLIENT_ID_HERE>",
client_secret="<YOUR_CLIENT_SECRET_HERE>",
),
) as fd_client:
res = fd_client.indices.list(index_group="IND_CBOM", page_size=100)
while res is not None:
# Handle items
res = res.next()import { FinanceDev } from "@ariesdotcom/finance-dev";
const financeDev = new FinanceDev({
security: {
clientID: "<YOUR_CLIENT_ID_HERE>",
clientSecret: "<YOUR_CLIENT_SECRET_HERE>",
},
});
async function run() {
const result = await financeDev.indices.list({
indexGroup: "IND_CBOM",
pageSize: 100,
});
for await (const page of result) {
console.log(page);
}
}
run();curl --request GET \
--url https://api.aries.com/v1/indices/list \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.aries.com/v1/indices/list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.aries.com/v1/indices/list",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.aries.com/v1/indices/list"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.aries.com/v1/indices/list")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.aries.com/v1/indices/list")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"indices": [
{
"currency": "USD",
"indexGroup": "IND_CBOM",
"indexName": "S&P 500",
"symbol": "SPX"
},
{
"currency": "USD",
"indexGroup": "IND_CBOM",
"indexName": "NASDAQ Composite",
"symbol": "COMP"
}
]
}Authorizations
Query Parameters
Index group whose members you want to list (paginated). Use GET /v1/indices/groups to discover the live list of groups — see IndexGroup for the current published set with plain-English labels.
Identifier of an index data group. Each group is a publisher / index family. Use GET /v1/indices/groups at runtime to get the live list — the list below is the current published set:
IND_CBOC— CBOE Data Services CMSI – Crypto FeedIND_CBOCGI— CBOE Global IndicesIND_CBOF— CBOE Data Services CMSI – FTSEIND_CBOI— CBOE Data Services CMSI – iNAVIND_CBOM— CBOE Data Services CSMI (S&P 500, NASDAQ Composite, etc.)IND_CBOMSTAR— CBOE Data Services CSMI – MorningstarIND_DJI— Dow Jones IndicesIND_GIDS— Nasdaq Global Index Data ServiceIND_GIF— NYSE Global IndicesIND_SPF— S&P Complete IndicesINDBVMF— B3 / Brazil (Bm_Fbovespa)INDXNSE— National Stock Exchange of IndiaINDXSTU— Borse StuttgartINDXTSE— Toronto Stock Exchange
Example:
"IND_CBOM"
Response
Successful response with list of indices
Was this page helpful?